mlfk.net
当前位置:首页 >> 我安装了sql2012和vs2010,连接数据库时总是说"版... >>

我安装了sql2012和vs2010,连接数据库时总是说"版...

那是因为VS2010仅兼容支持SQL2010及一下版本,就像vs2008在开发的时候是可以连接上sql2008的,但在vs2008中却是手动连接不上sql2008的,因为vs2008不支持高版本的sql,所以智能安装一个vs2008 sp1 补丁安装程序才能支持sql2008,一般好像vs和sql...

本人亲自体验过。对于SQL,表示很无奈,它有记忆功能,个人认为你直接安装时安装不上的,因为之前的SQL你根本就没有卸载干净。倘若你一定要安装,那你先安装SQL,倘若你先安装VS,那你的SQL一定就装不上。因为VS中有SQL的文件

可以升级vs 2010实例的版本。

vs没有配置好数据库。

首先你要开sql服务:右键电脑选择管理,左侧窗口选择服务和应用程序下的服务,在右侧窗口启动“sql server(SQLEXPRESS)"。然后你的连接语句用这句试试:SqlConnection myConn = new SqlConnection("Provider=sqloledb;Data Source=(local)\SQLEXP...

具体出现什么错误,是不是连接数据库的地址不正确?

WIN7系统64位的,装完VS2011但是装SQL 的时候出现了 把VS2011和SQL2008都卸载了,重装SQL2008老失败,注册表都清理了、相关文件也删了,每次到安装的最后一步,就会提示缺少sqlncil.msi,但是电脑中有啊,安装新版本后,装SQL2008提示不是有效的...

可以的! [cpp] view plaincopyprint? //初始化数据库连接 ::CoInitialize(NULL); 连接数据库 [cpp] view plaincopyprint? BOOL CLogin::ConnectDB(void) { HRESULT hr = NULL; try { hr = m_pConnection.CreateInstance("ADODB.Connection");//...

服务器名这里,加一个.在试试

应该是你安装VS的时候把他自带的SQL版本也安装了,这应该是低版本不能打开高版本的情况,卸载再装一次,现装SQL再装VS,记得VS要自定义安装,别勾选他那自带的SQL,试下看行不行

网站首页 | 网站地图
All rights reserved Powered by www.mlfk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com